View all methods

teams.findByMembers

Find a team based on a list of team member email addresses.

Facts

Method GET https://api.getdx.com/teams.findByMembers
Required scope snapshots:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.
team_emails Text Comma separated list of team members, optionally including the team manager.

Example request

This is a typical request:

curl -X GET 'https://api.getdx.com/teams.findByMembers?team_emails=person@example.com,another@example.com' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "team": {
    "id": "MTYyMDQz",
    "name": "Core Data",
    "members": [
      {
        "id": "NjA",
        "name": "Chester Tester",
        "email": "Chester@company.com"
      },
      {
        "id": "Mzc0OTQw",
        "name": "Jane Doe",
        "email": "jane@company.com"
      }
    ],
    "manager": {
      "id": "NTEyMDUw",
      "name": "John Doe",
      "email": "john@company.com"
    }
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
email_parameter_malformed Check that the team_emails parameter is a list of valid emails that are comma separated.
no_users_found The server could not identify any active users for the authorized account with the emails sent.
team_not_found No teams could be found with the emails provided.